Canalplan Bug Tracker



Anonymous Login
2017-06-22 12:59 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000267Canalplan Route Planningpublic2017-05-21 10:30
Reportermartin 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version9.29 
Summary0000267: Furthest place route duration less than calculated route.
DescriptionThe route duration times differ in different parts of the system.
Steps To ReproducePlan a furthest place from Crick Marina Entrance No 1 return, 10 days at 5 hours per day.

Furthest places report as expected "Your trip involves 10 days, travelling for 5 hours per day – this works out as 25 hours (5 days) in each direction"

Under Tamhorn winding hole it says "an extra 0.17 miles each way — 58.25 miles and 30 locks away (the total trip becomes 116.51 miles and 60 locks). It will take 3 minutes longer each way, making the total time 10 days and 16 minutes.

But if I plan the trip on teh summary it becomes "This will take 56 hours and 6 minutes which is 5 hours and 36 minutes for each of 10 days."

So an extra 6 hours has somehow been added.
Itenary also says "This will take 56 hours, 6 minutes. "

Distance and number of locks are the same as furthers place x 2 "Total distance is 116.58 miles and 60 locks"



Additional InformationRepeated on a different browser, and not logged in, produces a similar result. So does not look like anything to do with my settings.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001088

Nick Atty (administrator)

Last edited: 2017-04-16 07:42

View 2 revisions

Thanks for that - easily replicated. I'm deep in furthest place at the moment fixing the interface, so will get to this as well.

~0001090

Nick Atty (administrator)

Tracked it down. Deep in the underlying engine I was still using minutes not seconds for calculating the time, and those rounding errors mount up. Will be fixed in the next release, within the next week I hope.

~0001099

Nick Atty (administrator)

As promised, fixed in a release today - 9.29.9.

All that was needed was to change one variable in a structure from unsigned long to double...

~0001120

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-04-07 09:37 martin New Issue
2017-04-07 10:25 Stephen Atty Assigned To => Nick Atty
2017-04-07 10:25 Stephen Atty Status new => assigned
2017-04-16 07:36 Nick Atty Note Added: 0001088
2017-04-16 07:42 Nick Atty Note Edited: 0001088 View Revisions
2017-04-17 08:49 Nick Atty Note Added: 0001090
2017-04-21 10:09 Nick Atty Note Added: 0001099
2017-04-21 10:09 Nick Atty Status assigned => resolved
2017-04-21 10:09 Nick Atty Resolution open => fixed
2017-04-21 10:09 Nick Atty Fixed in Version => 9.29
2017-05-21 10:30 Autoclose Note Added: 0001120
2017-05-21 10:30 Autoclose Status resolved => closed
+Issue History